%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%-------------------------------------------------
%  TEMPLATE JCMM 
%  from TEMPLATE JCMM 2018 and others
%  v1.1
%  Kevin NADAUD
%-------------------------------------------------
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}

\ProvidesClass{jcmm2025}[2024/10/11 template resume proceeding jcmm, V1.0]
\newcommand{\jcmmTitle}{\fontsize{14}{14}\selectfont \sf \small 18\textsuperscript{\`emes} Journ\'ees de Caract\'erisation Microondes et Mat\'eriaux\\ Saint-\'Etienne, 24-26 mars 2025\par}

% classe de base
 \LoadClass[a4paper,10pt,twocolumn]{article}

%%%%%%%%%%%%%%%%%%%%%%chargement des packages n\'ecessaires
\RequirePackage[top=1.5cm,bottom=2cm,right=2cm,left=2cm,headheight=22.2pt,headsep=10pt,marginparsep=0pt]{geometry}
% \RequirePackage[top=2.5cm,bottom=2cm,right=2cm,left=2cm,headheight=1.25cm,headsep=10pt,marginparsep=0pt,columnsep=0.75cm,footskip=0.8cm]{geometry}
\RequirePackage{fancyhdr}
\RequirePackage{graphicx}
\RequirePackage[frenchb]{babel}
\RequirePackage[small]{caption}
\captionsetup[figure]{name=Fig.}
% \RequirePackage{txfonts}
\RequirePackage{lmodern}
\renewcommand{\sfdefault}{phv}
\renewcommand{\rmdefault}{ptm}
\renewcommand{\ttdefault}{pcr}
\normalfont\selectfont
% %%%%%%%%%%%%%%%%%%%%%%change le style du titre
%
% \renewcommand{\@maketitle}{
%   \begin{center}%
%     {\LARGE \textbf{\@title} \par}
%     \vspace{0.5em}
%     {\@author\par}
%     \vspace{0.5em}
%     {\textit\@institute \par}
%     \vspace{0.5em}
%     {\texttt\@email \par}
%   \end{center}
%   \par}
%   %\end{minipage}}
%   \def\email#1{\def\@email{#1}}
%   \def\institute#1{\def\@institute{#1}}

  %%%%%%%%%%%%%%%%%%%%%%change le style du titre

  \renewcommand{\@maketitle}{
  % \hfill
  \vspace{-10pt}
  \begin{center}
    \begin{minipage}[c]{.17\linewidth}
    \includegraphics[width=2.47cm]{./logoJCMM}
    \end{minipage}
    \begin{minipage}[c]{.7\linewidth}
    \begin{center}%
    {\jcmmTitle{}}
    \end{center}
    \end{minipage}
  \end{center}
  % \hfill
  % \begin{minipage}[c]{.17\linewidth}
  % % \includegraphics[width=\linewidth]{./logo/logo.png}
  % \end{minipage}
    \begin{center}%
      \vspace{1pt}%{1.1cm}
      {\fontsize{16}{16}\selectfont \textbf{\@title} \par}
      \vspace{1.4em}
      {\@author\par}
      \vspace{0.5em}
      {\textit\@institute \par}
      {\textit\@email \par}
    \end{center}
    \par
  }
  \def\email#1{\def\@email{#1}}
    \def\institute#1{\def\@institute{#1}}

%%%%%%%%%%%%%%%%%%%%%%%change le style des sections

\def\section{\@startsection{section}{1}{\z@}%
{3pt plus 1pt minus 1pt}%
{3pt plus 1pt minus 1pt}%
{\normalfont\normalsize\centering\scshape}}%

\def\subsection{\@startsection{subsection}{2}{\parindent}%
{3pt plus 1pt minus 1pt}%
{3pt plus 1pt minus 1pt}%
{\normalfont\normalsize}}%

\def\subsubsection{\@startsection{subsubsection}{3}{2\parindent}
{3pt plus 1pt minus 1pt}%
{3pt plus 1pt minus 1pt}%
{\normalfont\normalsize\itshape}}%


%%%%%%%%%%%%%%%%%%%%%%changement de la num\'erotation
\renewcommand{\thesection}{\Roman{section}-}
\renewcommand{\thesubsection}{\arabic{subsection}-}
% \renewcommand{\thesubsection}{\Roman{section}-\arabic{subsection}-}
\renewcommand{\thesubsubsection}{\alph{subsubsection}-}
% \renewcommand{\thesubsubsection}{\Roman{section}-\arabic{subsection}-\alph{subsubsection}-}
%%%%%%%%%%%%%%%%%%%%%r\'ed\'efinition plain
\fancypagestyle{plain}{%
\fancyhf{} % vide l’en-t\^ete et le pied~de~page.
% \fancyhead[C]{\includegraphics[width = 2.47cm]{./logo/logo.png} \small 15\textsuperscript{\`emes} Journ\'ees de Caract\'erisation Microondes et Mat\'eriaux Paris, 19-21 Mars 2018\vspace{0.5cm}}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}}
%%%%%%%%%%%%%%%%%%%%%d\'efinition my fancy
\fancypagestyle{myfancy}{%
\fancyhf{}
% \fancyhead[C]{\small 15\textsuperscript{èmes} Journ\'ees de Caract\'erisation Microondes et Mat\'eriaux Paris, 19-21 Mars 2018}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}
}
\pagestyle{myfancy}
%%%%%%%%%%%%%%%%%%%%% style figure
\addto\captionsfrench{\def\figurename{Figure}}
\captionsetup{labelsep=period}
\addto\captionsfrench{\def\tablename{Tableau}}


%%%%%%%%%%%%%%%%%%%%% Abstract
\def\abstract{\normalfont
  \par\bfseries\leavevmode\kern-1pt\textit{\abstractname}---\relax
}
\def\endabstract{\relax\vspace{1.34ex}\par
  \normalfont\normalsize
}
%%%%%%%%%%%%%%%%%%% keywords
\def\keywordsname{Mots cl\'es}
\def\keywords{\normalfont
  \bfseries\leavevmode\kern-1pt\textit{\keywordsname}---\relax
}
\def\endIEEEkeywords{\relax\vspace{1.34ex}\par
  \normalfont\normalsize
}
